# Contributing to Archangel

Thanks for taking the time to contribute!

The following is a set of guidelines for contributing to Archangel and its managed extensions, which are hosted in the [Archangel Organization](https://github.com/archangel) on GitHub.

## Table Of Contents

* [Code of Conduct](#code-of-conduct)
* [How To Contribute](#how-to-contribute)
* [Issues](#issues)
* [Security and Maintenance](#security-and-maintenance)
* [Developers](#developers)
* [Pull Requests](#pull-requests)

## Code of Conduct

This project and everyone participating in it is governed by the [Code of Conduct](CODE_OF_CONDUCT.md). By participating, you are expected to uphold this code. Please report unacceptable behavior to [archangel.cms@gmail.com](mailto:archangel.cms@gmail.com).

## How To Contribute

Help is always appreciated. If you are not able to contribute with code, bug reports are always welcome.

* [Issues](https://github.com/archangel/archangel/issues)
* [Pull Requests](https://github.com/archangel/archangel/pulls)
* [Roadmap/Milestones](https://github.com/archangel/archangel/milestones)
* [Contributors](https://github.com/archangel/archangel/graphs/contributors)

## Issues

Archangel uses [Github Issues](https://github.com/archangel/archangel/issues) to manage issues. A [number of labels](https://github.com/archangel/archangel/labels) are used to control flow and function. Enhancements and feature requests can also be submitted. Extension ideas are also accepted.

## Security and Maintenance

[Brakeman](https://github.com/presidentbeef/brakeman) is a static analysis security vulnerability scanner. Brakeman issues are reported in [Code Climate](https://codeclimate.com/).

## Developers

Developer documentation [is available](https://github.com/archangel/archangel/blob/master/docs/Developers.md).

## Pull Requests

1. Fork the repo ([https://github.com/archangel/archangel/fork](https://github.com/archangel/archangel/fork))
2. Clone the fork to your local machine
3. Run `bundle install` inside `archangel` directory
4. Make your updates or improvements
5. Commit your changes (`git commit -am 'Add some feature'`)
6. Push to your fork (`git push origin my-new-feature`)
7. Create a new Pull Request
